//package com.zyh.es.kafka;
//
//import cn.hutool.core.date.DateUtil;
//import org.apache.kafka.clients.consumer.ConsumerConfig;
//import org.apache.kafka.clients.consumer.ConsumerRecord;
//import org.apache.kafka.clients.consumer.ConsumerRecords;
//import org.apache.kafka.clients.consumer.KafkaConsumer;
//import org.apache.kafka.common.serialization.StringDeserializer;
//
//import java.time.Duration;
//import java.util.Arrays;
//import java.util.Date;
//import java.util.Properties;
//
//public class Consumer {
//    public final static String groupId = "face";
//    public final static String bootstrapServers = "152.136.54.230:9092";
//
//    public static KafkaConsumer<String, String> kafkaConsumer() {
//        Properties props = new Properties();
//        //设置Kafka服务器地址
//        props.put("bootstrap.servers", bootstrapServers);
//        //设置消费组
//        props.put("group.id", groupId);
//        //设置数据key的反序列化处理类
//        props.put("key.deserializer", StringDeserializer.class.getName());
//        //设置数据value的反序列化处理类
//        props.put("value.deserializer", StringDeserializer.class.getName());
//        props.put("enable.auto.commit", "true");
//        props.put("auto.commit.interval.ms", "1000");
//        props.put("session.timeout.ms", "30000");
//        //设置偏移量
//        props.put(ConsumerConfig.AUTO_OFFSET_RESET_CONFIG, "earliest");
//        KafkaConsumer<String, String> kafkaConsumer = new KafkaConsumer<>(props);
//        //订阅名称为“xjx”的Topic的消息
//        kafkaConsumer.subscribe(Arrays.asList("face"));
//        return kafkaConsumer;
//    }
//
//    public static void main(String[] args) {
//        //从Kafka服务器中的名称为“face”的Topic中消费消息
//        KafkaConsumer<String,String> kafkaConsumer = kafkaConsumer();
//        //List<String> messages = new ArrayList<>(records.count());
//        for (;;) {
//            ConsumerRecords<String, String> records = kafkaConsumer.poll(Duration.ofSeconds(1));
//            for (ConsumerRecord<String, String> record : records.records("face")) {
//                String value = record.value();
//                System.out.print("time:"+DateUtil.formatDateTime(new Date(record.timestamp()))+",");
//                System.out.print("value:"+value+",");
//                System.out.println("offset:"+record.offset());
//            }
//            System.out.println("--------------------------------");
//        }
//    }
//}
//
