//package com.zyh.es.service.impl;
//
//import org.apache.kafka.clients.consumer.ConsumerConfig;
//import org.apache.kafka.clients.consumer.ConsumerRecords;
//import org.apache.kafka.clients.consumer.KafkaConsumer;
//import org.apache.kafka.common.serialization.StringDeserializer;
//import org.junit.jupiter.api.Test;
//
//import java.time.Duration;
//import java.util.Collections;
//import java.util.Properties;
//
//import static org.junit.jupiter.api.Assertions.*;
//
//class EsServicemplTest {
//    @Test
//    public void testGet() throws InterruptedException {
//        // 主题
//        String topic = "product_post";
//
//        // 配置
//        Properties properties = new Properties();
//        // Kafka 服务器地址
//        properties.put(ConsumerConfig.BOOTSTRAP_SERVERS_CONFIG, "152.136.54.230:9092");
//        // k，v 的反序列化器
//        properties.put(ConsumerConfig.KEY_DESERIALIZER_CLASS_CONFIG, StringDeserializer.class.getName());
//        properties.put(ConsumerConfig.VALUE_DESERIALIZER_CLASS_CONFIG, StringDeserializer.class.getName());
//
//        // 消费者分组
//        properties.put(ConsumerConfig.GROUP_ID_CONFIG, "Consumer-Group-1");
//        // Offset 重置模式
//        properties.put(ConsumerConfig.AUTO_OFFSET_RESET_CONFIG, "earliest");
//
//        // 消费者
//        KafkaConsumer<String, String> kafkaConsumer = new KafkaConsumer<>(properties);
//        // 订阅（可以订阅多个主题）
//        kafkaConsumer.subscribe(Collections.singletonList(topic));
//
//        // 消费
//        while (true) {
//            // 获取信息
//            ConsumerRecords<String, String> records = kafkaConsumer.poll(Duration.ofMillis(1000));
//            // 遍历
//            records.forEach(record -> {
//                System.out.println(String.format("topic==%s, offset==%s, key==%s, value==%s", record.topic(), record.offset(), record.key(), record.value()));
//            });
//            // 睡眠
//            Thread.sleep(500);
//        }
//    }
//}
