package com.zyh.system.controller;

import com.alibaba.nacos.shaded.org.checkerframework.checker.units.qual.C;
import com.zyh.common.domain.CompreFaceApiResponse;
import com.zyh.common.domain.Photo;
import com.zyh.common.result.Result;
import com.zyh.system.mapper.ComprefaceMapper;
import com.zyh.system.service.ComprefaceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

@RestController
@RequestMapping("compreFace")

public class ComprefaceController {
    @Autowired
    private ComprefaceService comprefaceService;

    @PostMapping("/compreFace")
    public Result<CompreFaceApiResponse.Result> compareFaces(@RequestParam("file") MultipartFile  file) throws IOException {

        // 调用Compreface服务进行人脸比对
        return comprefaceService.compareWithSingleFace(file);
    }



}
