//package com.zyh.system.kafka;
//
//import com.fasterxml.jackson.core.JsonProcessingException;
//import com.fasterxml.jackson.databind.ObjectMapper;
//import com.zyh.common.domain.CompreFaceApiResponse;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.kafka.core.KafkaTemplate;
//import org.springframework.kafka.support.SendResult;
//import org.springframework.stereotype.Service;
//import org.springframework.util.concurrent.ListenableFuture;
//import org.springframework.util.concurrent.ListenableFutureCallback;
//
//@Service
//public class KafkaProducerServiceTest {
//
//    @Autowired
//    private ObjectMapper objectMapper;
//    @Autowired
//    private KafkaTemplate<String, String> kafkaTemplate;
//
//    public void sendMessage(String topic, CompreFaceApiResponse.Result data) {
//        try {
//            // 使用 Jackson 库将对象转换为 JSON 字符串
//            ObjectMapper objectMapper = new ObjectMapper();
//            String jsonString = objectMapper.writeValueAsString(data);
//
//            // 发送 JSON 字符串到 Kafka
//            ListenableFuture<SendResult<String, String>> future = kafkaTemplate.send(topic, jsonString);
//
//            // 添加回调，处理发送结果
//            future.addCallback(new ListenableFutureCallback<>() {
//                @Override
//                public void onSuccess(SendResult<String, String> result) {
//                    // 处理成功的逻辑
//                    System.out.println("消息成功发送到主题: " + result.getRecordMetadata().topic());
//                    System.out.println("消息成功发送到分区: " + result.getRecordMetadata().partition());
//                    System.out.println("消息成功发送到偏移量: " + result.getRecordMetadata().offset());
//                }
//
//                @Override
//                public void onFailure(Throwable ex) {
//                    // 处理失败的逻辑
//                    System.out.println("消息发送失败: " + ex.getMessage());
//                }
//            });
//
//        } catch (JsonProcessingException e) {
//            // 处理转换异常
//            e.printStackTrace();
//            System.out.println("消息发送失败: " + e.getMessage());
//        }
//    }
//}
