package com.zyh.system.mapper;

import com.zyh.common.domain.House;
import com.zyh.common.domain.Person;
import com.zyh.common.domain.PersonTest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PersonMapper {

    Integer addPerson(Person person);

    List<Person> getPerson();

    Integer deletePerson(@Param("id") Integer id);

    List<Integer> getBuildId();

    List<Integer> getUnitId(@Param("buildId") Integer buildId);

    List<Integer> getHoldId(@Param("buildId") Integer buildId, @Param("unit") Integer unit);

    List<House> getHouseId();

    Integer updatePerson(Person person);

    void updatepersonNum(@Param("buildId") String buildId, @Param("unit") Integer unit, @Param("holdId") String holdId);

    void updatepersonNumjia(@Param("buildId") Integer buildId, @Param("unit") Integer unit, @Param("holdId") Integer holdId);

    Integer addPersonTest(PersonTest personTest);

    List<Person> searchAdmin(Person person);

    List<PersonTest> stuListWithLimit(@Param("offset") int offset, @Param("limit") int limit);

    int selectHouseId(@Param("houseId") String houseId);

    Integer selectBuildId(@Param("buildId") Integer buildId);

    Integer selectUnit(@Param("buildId") Integer buildId, @Param("unit") Integer unit);

    Integer selectHoldId(@Param("buildId") Integer buildId, @Param("unit") Integer unit, @Param("holdId") Integer holdId);

}
