package com.zyh.common.domain;

import java.util.List;
import com.fasterxml.jackson.annotation.JsonProperty;

public class CompreFaceApiResponse {

    private List<Result> result;

    public List<Result> getResult() {
        return result;
    }

    public void setResult(List<Result> result) {
        this.result = result;
    }

    public static class Result {
        private Age age;
        private Gender gender;
        private Pose pose;
        private Box box;
        private List<Subject> subjects;
        private List<List<Integer>> landmarks;

        public Age getAge() {
            return age;
        }

        public void setAge(Age age) {
            this.age = age;
        }

        public Gender getGender() {
            return gender;
        }

        public void setGender(Gender gender) {
            this.gender = gender;
        }

        public Pose getPose() {
            return pose;
        }

        public void setPose(Pose pose) {
            this.pose = pose;
        }

        public Box getBox() {
            return box;
        }

        public void setBox(Box box) {
            this.box = box;
        }

        public List<Subject> getSubjects() {
            return subjects;
        }

        public void setSubjects(List<Subject> subjects) {
            this.subjects = subjects;
        }

        public List<List<Integer>> getLandmarks() {
            return landmarks;
        }

        public void setLandmarks(List<List<Integer>> landmarks) {
            this.landmarks = landmarks;
        }
    }

    public static class Age {
        private Double probability;
        private Integer high;
        private Integer low;

        public Double getProbability() {
            return probability;
        }

        public void setProbability(Double probability) {
            this.probability = probability;
        }

        public Integer getHigh() {
            return high;
        }

        public void setHigh(Integer high) {
            this.high = high;
        }

        public Integer getLow() {
            return low;
        }

        public void setLow(Integer low) {
            this.low = low;
        }
    }

    public static class Gender {
        private Double probability;
        private String value;

        public Double getProbability() {
            return probability;
        }

        public void setProbability(Double probability) {
            this.probability = probability;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }
    }

    public static class Pose {
        private Double pitch;
        private Double roll;
        private Double yaw;

        public Double getPitch() {
            return pitch;
        }

        public void setPitch(Double pitch) {
            this.pitch = pitch;
        }

        public Double getRoll() {
            return roll;
        }

        public void setRoll(Double roll) {
            this.roll = roll;
        }

        public Double getYaw() {
            return yaw;
        }

        public void setYaw(Double yaw) {
            this.yaw = yaw;
        }
    }

    public static class Box {
        private Double probability;
        private Integer xMax;
        private Integer yMax;
        private Integer xMin;
        private Integer yMin;

        public Double getProbability() {
            return probability;
        }

        public void setProbability(Double probability) {
            this.probability = probability;
        }

        public Integer getxMax() {
            return xMax;
        }

        public void setxMax(Integer xMax) {
            this.xMax = xMax;
        }

        public Integer getyMax() {
            return yMax;
        }

        public void setyMax(Integer yMax) {
            this.yMax = yMax;
        }

        public Integer getxMin() {
            return xMin;
        }

        public void setxMin(Integer xMin) {
            this.xMin = xMin;
        }

        public Integer getyMin() {
            return yMin;
        }

        public void setyMin(Integer yMin) {
            this.yMin = yMin;
        }
    }

    public static class Subject {
        private String subject;
        private Double similarity;

        public String getSubject() {
            return subject;
        }

        public void setSubject(String subject) {
            this.subject = subject;
        }

        public Double getSimilarity() {
            return similarity;
        }

        public void setSimilarity(Double similarity) {
            this.similarity = similarity;
        }
    }
}
