package com.zyh.common.util;

import java.security.SecureRandom;

public class RandomGenerator {

    public static String generateRandomLetters(int length) {
        String letters = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
        StringBuilder randomString = new StringBuilder(length);
        SecureRandom random = new SecureRandom();

        for (int i = 0; i < length; i++) {
            int randomIndex = random.nextInt(letters.length());
            char randomChar = letters.charAt(randomIndex);
            randomString.append(randomChar);
        }

        return randomString.toString();
    }

    public static void main(String[] args) {
        String randomLetters = generateRandomLetters(5);
        System.out.println("Random Letters: " + randomLetters);
    }
}
