//package com.zyh.system.kafka;
//
//import com.fasterxml.jackson.core.JsonProcessingException;
//import com.fasterxml.jackson.databind.ObjectMapper;
//import com.zyh.common.domain.CompreFaceApiResponse;
//import org.apache.kafka.clients.producer.KafkaProducer;
//import org.apache.kafka.clients.producer.ProducerConfig;
//import org.apache.kafka.clients.producer.ProducerRecord;
//import org.springframework.stereotype.Component;
//
//import java.util.Properties;
//@Component
//public class Producer {
//    private static final String brokerList = "152.136.54.230:9092";
//    private static final String topic = "face";
//
//    public static Properties initNewConfig() {
//        Properties props = new Properties();
//        props.put(ProducerConfig.BOOTSTRAP_SERVERS_CONFIG, brokerList);
//        props.put(ProducerConfig.KEY_SERIALIZER_CLASS_CONFIG,
//                "org.apache.kafka.common.serialization.StringSerializer");
//        props.put(ProducerConfig.VALUE_SERIALIZER_CLASS_CONFIG,
//                "org.apache.kafka.common.serialization.StringSerializer");
//        props.put(ProducerConfig.CLIENT_ID_CONFIG, "producer.client.id.demo");
//
//        // 自定义分区器的使用
//        //props.put(ProducerConfig.PARTITIONER_CLASS_CONFIG,DefinePartitioner.class.getName());
//        // 自定义拦截器使用
//        //props.put(ProducerConfig.INTERCEPTOR_CLASSES_CONFIG,ProducerInterceptorPrefix.class.getName());
//        props.put(ProducerConfig.ACKS_CONFIG, "0");
//        return props;
//    }
//
//
//    public static void send(CompreFaceApiResponse.Result data) throws InterruptedException, JsonProcessingException {
//        ObjectMapper objectMapper = new ObjectMapper();
//        String jsonString = objectMapper.writeValueAsString(data);
//        Properties props = initNewConfig();
//        KafkaProducer<String, String> producer = new KafkaProducer<>(props);
//
//        //KafkaProducer<String, String> producer = new KafkaProducer<>(props,
//        //new StringSerializer(), new StringSerializer());
//        //生成 ProducerRecord 对象，并制定 Topic，key 以及 value
//        ProducerRecord<String, String> record =
//                new ProducerRecord<>(topic, jsonString);
//        try {
//            // 1、发送消息
//            producer.send(record);
//            // 打印成功发送的日志
//            System.out.println("消息成功发送到主题: " + topic);
//        } catch (Exception e) {
//            e.printStackTrace();
//            // 打印发送失败的日志
//            System.out.println("消息发送失败: " + e.getMessage());
//        }
//
//
//        producer.close();
//    }
//
//}
