package com.zyh.system.service;

import com.zyh.common.domain.House;
import com.zyh.common.domain.Person;
import com.zyh.common.domain.PersonTest;
import com.zyh.common.result.Result;

import java.io.IOException;
import java.util.List;

public interface PersonService {
    Result addPerson(Person person);

    Result<List<Person>> getPerson();

    Result deletePerson(Integer id, String buildId, Integer unit, String holdId);

    Result<List<Integer>> getBuildId();

    Result<List<Integer>> getUnitId(Integer buildId);

    Result<List<Integer>> getHoldId(Integer buildId, Integer unit);

    Result<List<House>> getHouseId();

    Result updatePerson(Person person);

    Result uuApplyUserInfo(List<PersonTest> importList);

    List<Person> searchAdmin(Person person);

    String derive() throws IOException;


}
